Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherProperty

    java.lang.Object
      org.apache.poi.ddf.EscherProperty

Direct Known Subclasses:
  EscherComplexProperty, EscherSimpleProperty

public abstract class EscherProperty
extends java.lang.Object

This is the abstract base class for all escher properties.

Author:
  Glen Stampoultzis (glens at apache.org)
See Also:
  `EscherOptRecord`

Constructor Summary
`EscherProperty(short id)` The id is distinct from the actual property number.
`EscherProperty(short propertyNumber, boolean isComplex, boolean isBlipId)` Constructs a new escher property.

Method Summary
`short` | `getId()`
`java.lang.String` | `getName()`
`short` | `getPropertyNumber()`
`int` | `getPropertySize()` Most properties are just 6 bytes in length.
`boolean` | `isBlipId()`
`boolean` | `isComplex()`
`abstract int` | `serializeComplexPart(byte[] data, int pos)` Escher properties consist of a simple fixed length part and a complex variable length part.
`abstract int` | `serializeSimplePart(byte[] data, int pos)` Escher properties consist of a simple fixed length part and a complex variable length part.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscherProperty

    public EscherProperty(short id)

  The id is distinct from the actual property number. The id includes the property number the blip id flag and an indicator whether the property is complex or not.

### EscherProperty

    public EscherProperty(short propertyNumber,
                          boolean isComplex,
                          boolean isBlipId)

  Constructs a new escher property. The three parameters are combined to form a property id.

Method Detail

### getId

    public short getId()

### getPropertyNumber

    public short getPropertyNumber()

### isComplex

    public boolean isComplex()

### isBlipId

    public boolean isBlipId()

### getName

    public java.lang.String getName()

### getPropertySize

    public int getPropertySize()

  Most properties are just 6 bytes in length. Override this if we're dealing with complex properties.

### serializeSimplePart

    public abstract int serializeSimplePart(byte[] data,
                                            int pos)

  Escher properties consist of a simple fixed length part and a complex variable length part. The fixed length part is serialized first.

### serializeComplexPart

    public abstract int serializeComplexPart(byte[] data,
                                             int pos)

  Escher properties consist of a simple fixed length part and a complex variable length part. The fixed length part is serialized first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.